Skip to content

A name and the terms finish signing up with the provider; the first profile plays at once.

POST
/api/auth/external/pending/signup
curl --request POST \
--url https://example.com/api/auth/external/pending/signup \
--header 'Content-Type: application/json' \
--data '{ "displayName": "example", "acceptTerms": true, "termsVersion": "example", "inviteCode": "example", "deviceProfile": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "avatar": "example", "ageBand": "example", "data": { "saves": [ { "gameId": "example", "data": "example", "updatedAt": "2026-04-15T12:00:00Z" } ], "scores": [ { "clientId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "gameId": "example", "board": "example", "value": 1, "achievedAt": "2026-04-15T12:00:00Z", "final": true } ] } } }'
Media typeapplication/json
object
displayName
required
string
acceptTerms
required
boolean
termsVersion
required
null | string
inviteCode
null | string
deviceProfile
One of:
null

OK

Media typeapplication/json
object
me
required
One of:
null
pending
required
One of:
null

Example generated

{
"me": {
"account": {
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"email": "example",
"username": "example",
"displayName": "example",
"telemetry": true,
"hasPassword": true,
"hasManagePin": true,
"termsVersion": "example",
"logins": [
"example"
],
"role": "example",
"community": "example",
"consoleUrl": "example"
},
"profiles": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"publicId": "example",
"name": "example",
"avatar": "example",
"kind": "example",
"ageBand": "example",
"hasPin": true,
"playWithOthers": true,
"onPublicBoards": true,
"hiddenFromBoards": true,
"invites": "example"
}
],
"activeProfileId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"parentUnlockedUntil": "2026-04-15T12:00:00Z",
"secureUntil": "2026-04-15T12:00:00Z"
},
"pending": {
"provider": "example",
"step": "example",
"email": "example",
"hasPassword": true
}
}

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>

Example generated

{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}